clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::Fix Struct Reference

Represents a single fix-it that editor can apply to fix the error. More...

`#include <Diagnostics.h>`

Collaboration diagram for clang::clangd::Fix:
[legend]

## Public Attributes
std::string | Message
| Message for the fix-it. More...
llvm::SmallVector< TextEdit, 1 > | Edits
| TextEdits from clang's fix-its. Must be non-empty. More...

## Detailed Description

Represents a single fix-it that editor can apply to fix the error.

Definition at line 71 of file Diagnostics.h.

## Member Data Documentation

## ◆ Edits

llvm::SmallVector<TextEdit, 1> clang::clangd::Fix::Edits

TextEdits from clang's fix-its. Must be non-empty.

Definition at line 75 of file Diagnostics.h.

## ◆ Message

std::string clang::clangd::Fix::Message

Message for the fix-it.

Definition at line 73 of file Diagnostics.h.

Referenced by clang::clangd::StoreDiags::take().

The documentation for this struct was generated from the following file:

- Diagnostics.h